Bitcoin Forum
January 21, 2017, 12:34:34 AM *
News: Latest stable version of Bitcoin Core: 0.13.2  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: Pool software other than jgarzik's?  (Read 1501 times)
error
Hero Member
*****
Offline Offline

Activity: 574



View Profile
May 03, 2011, 03:28:25 AM
 #1

jgarzik's poold was the only mining pool software I could find on the wiki. Are there others released?

15UFyv6kfWgq83Pp3yhXPr8rknv9m6581W
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1484958874
Hero Member
*
Offline Offline

Posts: 1484958874

View Profile Personal Message (Offline)

Ignore
1484958874
Reply with quote  #2

1484958874
Report to moderator
xf2_org
Member
**
Offline Offline

Activity: 70


View Profile
May 03, 2011, 04:03:16 AM
 #2

jgarzik's poold was the only mining pool software I could find on the wiki. Are there others released?

You mean the python demo proxy?  There's a C version being used in production at several sites, that's much better:  https://github.com/jgarzik/pushpool

Also, see signature if you need hosting Smiley

error
Hero Member
*****
Offline Offline

Activity: 574



View Profile
May 03, 2011, 04:36:25 AM
 #3

Much nicer, thanks!

15UFyv6kfWgq83Pp3yhXPr8rknv9m6581W
error
Hero Member
*****
Offline Offline

Activity: 574



View Profile
May 04, 2011, 07:54:14 AM
 #4

OK, so this built on my Fedora box OK, and on CentOS OK. But when I built on Ubuntu 10.04 Server, I get the following nasty error:

Code:
gcc -DHAVE_CONFIG_H -I. -fno-strict-aliasing -pthread     -g -O2 -MT config.o -MD -MP -MF .deps/config.Tpo -c -o config.o config.c
config.c: In function ‘read_config’:
config.c:305: warning: passing argument 2 of ‘json_loads’ makes integer from pointer without a cast
/usr/include/jansson.h:219: note: expected ‘size_t’ but argument is of type ‘struct json_error_t *’
config.c:305: error: too few arguments to function ‘json_loads’
make[1]: *** [config.o] Error 1

I've installed libjansson4 libjansson-dev from the developer's PPA.

15UFyv6kfWgq83Pp3yhXPr8rknv9m6581W
error
Hero Member
*****
Offline Offline

Activity: 574



View Profile
May 04, 2011, 09:08:01 AM
 #5

Oops! Found the problem (I have jansson 2.0 and you don't) and sent you a pull request to fix it. Also had to put in a fix to make old versions of libmemcached compile.

15UFyv6kfWgq83Pp3yhXPr8rknv9m6581W
Leonassan
Newbie
*
Offline Offline

Activity: 14


View Profile
May 08, 2011, 07:54:09 AM
 #6

Hey all, trying to get this to build, I think I have all the dependencies right, and when I try to run autogen.sh, I get this:

Code:
configure.ac: installing `./install-sh'
configure.ac: installing `./missing'
Makefile.am: installing `./INSTALL'
Makefile.am: installing `./depcomp'
configure.ac:33: error: possibly undefined macro: AC_MSG_ERROR
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.

I'm getting more errors further along, but I'm taking it one error at a time since one of these might clear it up. Anyone have any ideas?
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!